Activity log for bug #122383

Date Who What changed Old value New value Message
2007-06-26 18:10:26 StephanBeal bug added bug
2007-06-26 18:11:14 StephanBeal bug added attachment 'toc2-manual.odt' (toc2-manual.odt)
2007-06-26 18:11:38 StephanBeal bug added attachment 'toc2-manual.xhtml' (toc2-manual.xhtml)
2008-03-13 16:49:12 Chris Cheney openoffice.org: importance Undecided Low
2008-03-13 16:49:12 Chris Cheney openoffice.org: status New Confirmed
2008-03-13 16:49:38 Chris Cheney title Cross-references and TOC links broken in XHTML export [Upstream] [hardy] Cross-references and TOC links broken in XHTML export
2008-03-13 16:50:31 Chris Cheney bug assigned to openoffice
2008-03-18 04:52:48 Chris Cheney openoffice: status New Unknown
2008-03-18 04:52:48 Chris Cheney openoffice: importance Undecided Unknown
2008-03-18 10:23:23 Bug Watch Updater openoffice: status Unknown New
2008-06-13 18:37:09 Chris Cheney openoffice.org: status Confirmed Triaged
2009-01-08 22:44:55 Bug Watch Updater openoffice: status New In Progress
2010-05-13 21:55:09 Chris Cheney tags hardy
2010-05-13 22:20:50 StephanBeal attachment added demonstrates failing XHTML export. http://launchpadlibrarian.net/48414741/JSONMessage-library-manual.odt
2011-08-15 08:45:38 Christopher M. Penalver bug task added libreoffice (Ubuntu)
2011-08-15 08:50:12 Christopher M. Penalver description Binary package hint: openoffice.org A) When exporting an ODT file which contains a TOC, when the TOC contains hyperlinks to the referred sections, the generated links are incorrect in XHTML exports (they refer to non-existant external files). B) Similarly, intra-document cross-references disappear in the XHTML exports. An example ODT and its corresponding XHTML are attached. To see effect (A) simply click any entry in the TOC of the XHTML copy. To see effect (B) simply search for "section ", and you will find several instances which should say "see section XYZ", but the "XYZ" (numeric section reference) is missing. Binary package hint: openoffice.org 1) lsb_release -rd Description: Ubuntu 11.04 Release: 11.04 2) apt-cache policy libreoffice-writer libreoffice-writer: Installed: 1:3.3.3-1ubuntu2 Candidate: 1:3.3.3-1ubuntu2 Version table: *** 1:3.3.3-1ubuntu2 0 100 /var/lib/dpkg/status 1:3.3.2-1ubuntu5 0 500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages 1:3.3.2-1ubuntu4 0 500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages apt-cache policy firefox firefox: Installed: 5.0+build1+nobinonly-0ubuntu0.11.04.2 Candidate: 5.0+build1+nobinonly-0ubuntu0.11.04.2 Version table: *** 5.0+build1+nobinonly-0ubuntu0.11.04.2 0 500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages 500 http://security.ubuntu.com/ubuntu/ natty-security/main i386 Packages 100 /var/lib/dpkg/status 4.0+nobinonly-0ubuntu3 0 500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages 3) What is expected to happen is when one exports https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/122383/+attachment/1390003/+files/JSONMessage-library-manual.odt to .html the Table of Contents hyperlinks do not refer to non-existent external files when opened with Firefox. 4) What happens instead is they do.
2011-08-15 08:50:21 Christopher M. Penalver tags hardy hardy lo33
2011-08-15 08:50:46 Christopher M. Penalver libreoffice (Ubuntu): importance Undecided Medium
2011-08-15 08:50:46 Christopher M. Penalver libreoffice (Ubuntu): status New Triaged
2011-08-15 09:06:52 Christopher M. Penalver bug watch added http://bugs.freedesktop.org/show_bug.cgi?id=40097
2011-08-15 09:06:52 Christopher M. Penalver bug task added df-libreoffice
2011-08-15 09:49:13 Bug Watch Updater df-libreoffice: status Unknown Confirmed
2011-08-15 09:49:13 Bug Watch Updater df-libreoffice: importance Unknown Medium
2011-09-15 14:18:13 Björn Michaelsen openoffice.org (Ubuntu): status Triaged Won't Fix
2011-12-24 15:26:26 Bug Watch Updater df-libreoffice: status Confirmed Incomplete
2012-01-17 14:49:01 Christopher M. Penalver description Binary package hint: openoffice.org 1) lsb_release -rd Description: Ubuntu 11.04 Release: 11.04 2) apt-cache policy libreoffice-writer libreoffice-writer: Installed: 1:3.3.3-1ubuntu2 Candidate: 1:3.3.3-1ubuntu2 Version table: *** 1:3.3.3-1ubuntu2 0 100 /var/lib/dpkg/status 1:3.3.2-1ubuntu5 0 500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages 1:3.3.2-1ubuntu4 0 500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages apt-cache policy firefox firefox: Installed: 5.0+build1+nobinonly-0ubuntu0.11.04.2 Candidate: 5.0+build1+nobinonly-0ubuntu0.11.04.2 Version table: *** 5.0+build1+nobinonly-0ubuntu0.11.04.2 0 500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages 500 http://security.ubuntu.com/ubuntu/ natty-security/main i386 Packages 100 /var/lib/dpkg/status 4.0+nobinonly-0ubuntu3 0 500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages 3) What is expected to happen is when one exports https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/122383/+attachment/1390003/+files/JSONMessage-library-manual.odt to .html the Table of Contents hyperlinks do not refer to non-existent external files when opened with Firefox. 4) What happens instead is they do. Binary package hint: openoffice.org 1) lsb_release -rd Description: Ubuntu 11.04 Release: 11.04 2) apt-cache policy libreoffice-writer libreoffice-writer:   Installed: 1:3.3.3-1ubuntu2   Candidate: 1:3.3.3-1ubuntu2   Version table:  *** 1:3.3.3-1ubuntu2 0         100 /var/lib/dpkg/status      1:3.3.2-1ubuntu5 0         500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages      1:3.3.2-1ubuntu4 0         500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages apt-cache policy firefox firefox:   Installed: 5.0+build1+nobinonly-0ubuntu0.11.04.2   Candidate: 5.0+build1+nobinonly-0ubuntu0.11.04.2   Version table:  *** 5.0+build1+nobinonly-0ubuntu0.11.04.2 0         500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages         500 http://security.ubuntu.com/ubuntu/ natty-security/main i386 Packages         100 /var/lib/dpkg/status      4.0+nobinonly-0ubuntu3 0         500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages 3) What is expected to happen in LibreOffice Writer via the Terminal: cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/122383/+attachment/1390003/+files/JSONMessage-library-manual.odt && lowriter -nologo JSONMessage-library-manual.odt is when one exports the file to .html the Table of Contents hyperlinks do not refer to non-existent external files when opened with Firefox. 4) What happens instead is they do.
2012-01-17 15:04:11 Christopher M. Penalver description Binary package hint: openoffice.org 1) lsb_release -rd Description: Ubuntu 11.04 Release: 11.04 2) apt-cache policy libreoffice-writer libreoffice-writer:   Installed: 1:3.3.3-1ubuntu2   Candidate: 1:3.3.3-1ubuntu2   Version table:  *** 1:3.3.3-1ubuntu2 0         100 /var/lib/dpkg/status      1:3.3.2-1ubuntu5 0         500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages      1:3.3.2-1ubuntu4 0         500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages apt-cache policy firefox firefox:   Installed: 5.0+build1+nobinonly-0ubuntu0.11.04.2   Candidate: 5.0+build1+nobinonly-0ubuntu0.11.04.2   Version table:  *** 5.0+build1+nobinonly-0ubuntu0.11.04.2 0         500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages         500 http://security.ubuntu.com/ubuntu/ natty-security/main i386 Packages         100 /var/lib/dpkg/status      4.0+nobinonly-0ubuntu3 0         500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages 3) What is expected to happen in LibreOffice Writer via the Terminal: cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/122383/+attachment/1390003/+files/JSONMessage-library-manual.odt && lowriter -nologo JSONMessage-library-manual.odt is when one exports the file to .html the Table of Contents hyperlinks do not refer to non-existent external files when opened with Firefox. 4) What happens instead is they do. Binary package hint: openoffice.org 1) lsb_release -rd Description: Ubuntu 11.04 Release: 11.04 2) apt-cache policy libreoffice-writer libreoffice-writer:   Installed: 1:3.3.3-1ubuntu2   Candidate: 1:3.3.3-1ubuntu2   Version table:  *** 1:3.3.3-1ubuntu2 0         100 /var/lib/dpkg/status      1:3.3.2-1ubuntu5 0         500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages      1:3.3.2-1ubuntu4 0         500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages apt-cache policy firefox firefox:   Installed: 5.0+build1+nobinonly-0ubuntu0.11.04.2   Candidate: 5.0+build1+nobinonly-0ubuntu0.11.04.2   Version table:  *** 5.0+build1+nobinonly-0ubuntu0.11.04.2 0         500 http://us.archive.ubuntu.com/ubuntu/ natty-updates/main i386 Packages         500 http://security.ubuntu.com/ubuntu/ natty-security/main i386 Packages         100 /var/lib/dpkg/status      4.0+nobinonly-0ubuntu3 0         500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages 3) What is expected to happen in LibreOffice Writer via the Terminal: cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/122383/+attachment/1390003/+files/JSONMessage-library-manual.odt && lowriter -nologo JSONMessage-library-manual.odt export the file to .html -> in the Table of Contents click the hyperlink Preliminaries and it takes one to the Preliminaries chapter. 4) What happens instead is it does not.
2012-01-17 23:14:13 Bug Watch Updater df-libreoffice: status Incomplete Confirmed
2012-11-26 09:12:49 Bug Watch Updater df-libreoffice: status Confirmed In Progress
2012-12-02 04:35:40 Bug Watch Updater df-libreoffice: status In Progress Fix Released
2013-02-20 00:14:17 Launchpad Janitor libreoffice (Ubuntu): status Triaged Fix Released